#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: criterion
version: 1.4.0.0
id: criterion-1.4.0.0-7KijmuHR5cvKGPxZJFPoLU
key: criterion-1.4.0.0-7KijmuHR5cvKGPxZJFPoLU
license: BSD3
copyright: 2009-2016 Bryan O'\''Sullivan and others
maintainer: Bryan O'\''Sullivan <bos@serpentine.com>
homepage: http://www.serpentine.com/criterion
synopsis: Robust, reliable performance measurement and analysis
description:
    This library provides a powerful but simple way to measure software
    performance.  It provides both a framework for executing and
    analysing benchmarks and a set of driver functions that makes it
    easy to build and run benchmarks, and to analyse their results.
    .
    The fastest way to get started is to read the
    <http://www.serpentine.com/criterion/tutorial.html online tutorial>,
    followed by the documentation and examples in the "Criterion.Main"
    module.
    .
    For examples of the kinds of reports that criterion generates, see
    <http://www.serpentine.com/criterion the home page>.
category: Development, Performance, Testing, Benchmarking
author: Bryan O'\''Sullivan <bos@serpentine.com>
exposed: True
indefinite: False
exposed-modules:
    Criterion Criterion.Analysis Criterion.IO Criterion.IO.Printf
    Criterion.Internal Criterion.Main Criterion.Main.Options
    Criterion.Measurement Criterion.Monad Criterion.Report
    Criterion.Types
hidden-modules: Criterion.Monad.Internal Criterion.Types.Internal
                Paths_criterion
abi: 3750eb9118b9dd97208204f88046a216
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/criterion-1.4.0.0
library-dirs: /usr/lib/ghc-8.2.2/site-local/criterion-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/haskell-criterion
hs-libraries: HScriterion-1.4.0.0-7KijmuHR5cvKGPxZJFPoLU
depends:
    aeson-1.2.4.0-AtrYaitd3jMG1bjpyUF0Ei
    ansi-wl-pprint-0.6.8.2-E1jzAtdZkw96Y4IbjE26uJ base-4.10.1.0
    base-compat-0.9.3-915GC5pH10BBmcMnCvMsPA binary-0.8.5.1
    bytestring-0.10.8.2 cassava-0.5.1.0-Dmse5cgnsjaDby6AbA0TO1
    code-page-0.1.3-IgAXwLwH8aZ3hxp3qvXSZY containers-0.5.10.2
    deepseq-1.4.3.0 directory-1.3.0.2
    exceptions-0.8.3-FtqgxeR4VUg9hGcIqYr2bq filepath-1.4.1.2
    Glob-0.9.2-2j91C3t8lBu3ONEdVSajeB
    microstache-1.0.1.1-9JXndizfO9lCgYlQ5HLrnA
    js-flot-0.8.3-BVv7WjS6mgVJLBMR8vaufn
    js-jquery-3.3.1-2cFNyJzcluGJIQtLTddYnD
    mtl-2.2.2-8XubxMJDT8QLsstvlNotkc
    mwc-random-0.13.6.0-KJiIvjcL2lWLnFThQq321j
    optparse-applicative-0.14.2.0-EglcoYfMOp85SjMyUAe4sx
    parsec-3.1.13.0-lnA0oAxTgL1KjACiBdQ3F
    semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q
    statistics-0.14.0.2-Jw1iwuSy2BT5aNzloOPByr
    text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj time-1.8.0.2
    transformers-0.5.2.0
    transformers-compat-0.5.1.4-EAh8Ccrgitz4vTZtbTPyCM
    vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA
    vector-algorithms-0.7.0.1-5mphjIH0bWI4CUpg2N3vz8
abi-depends: aeson-1.2.4.0-AtrYaitd3jMG1bjpyUF0Ei=cd659b4105a2c797bfc8b13b8ea3a331
             ansi-wl-pprint-0.6.8.2-E1jzAtdZkw96Y4IbjE26uJ=7f339a79a1750db95a805ca35af9fdbc
             base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             base-compat-0.9.3-915GC5pH10BBmcMnCvMsPA=5a5696f2eea50c76cb741a2b4cb0b84c
             binary-0.8.5.1=efb65bc450356b9ea572733928ffb43f
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             cassava-0.5.1.0-Dmse5cgnsjaDby6AbA0TO1=a46b3356ee8f9fead0a3065c3662985f
             code-page-0.1.3-IgAXwLwH8aZ3hxp3qvXSZY=5e15c1626662577c6df80accc1e8ee4f
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             deepseq-1.4.3.0=38379f7f81eed7fe046dd2a98559af2e
             directory-1.3.0.2=60cb0805ce3e0135e907efd1476a027a
             exceptions-0.8.3-FtqgxeR4VUg9hGcIqYr2bq=eff2744d823431f8209ca0d87f216828
             filepath-1.4.1.2=f49190c9093d895f9f159c40e7d1ff46
             Glob-0.9.2-2j91C3t8lBu3ONEdVSajeB=9e09c7a6da010970ebf7bba812cf66ff
             microstache-1.0.1.1-9JXndizfO9lCgYlQ5HLrnA=d6737d6a1132727e5a6575ae871c022d
             js-flot-0.8.3-BVv7WjS6mgVJLBMR8vaufn=9ff4b511fc81c34da701e1747457f6ca
             js-jquery-3.3.1-2cFNyJzcluGJIQtLTddYnD=69ec71de007f46700701c1e7b71f3ff4
             mtl-2.2.2-8XubxMJDT8QLsstvlNotkc=ada793ec1f149425d0c0689d53e1173b
             mwc-random-0.13.6.0-KJiIvjcL2lWLnFThQq321j=62b6b0150a4e8d4641f211ad88f80b75
             optparse-applicative-0.14.2.0-EglcoYfMOp85SjMyUAe4sx=99d3b6185b97a50267713e5e4f714d8c
             parsec-3.1.13.0-lnA0oAxTgL1KjACiBdQ3F=688f5e7444a80128e4a1c39bd128d195
             semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q=c739600aa012ae17eb506df1a043419b
             statistics-0.14.0.2-Jw1iwuSy2BT5aNzloOPByr=f540852a9fe090f6aaf745e5cd4a98a4
             text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj=d51c5ac73448d7d6c9cbe4dedb95457e
             time-1.8.0.2=7cc0324e0aef789d5f0780f6640c241b
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             transformers-compat-0.5.1.4-EAh8Ccrgitz4vTZtbTPyCM=94a5340d64a5db3506fe5654c7b40389
             vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA=a99b30cfe85615e5f75a9a70e1864f51
             vector-algorithms-0.7.0.1-5mphjIH0bWI4CUpg2N3vz8=bce492e0d5b2bbb783aa944203785ffb
haddock-interfaces: /usr/share/doc/haskell-criterion/html/criterion.haddock
haddock-html: /usr/share/doc/haskell-criterion/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

